Package com.google.android.exoplayer2

## Class MediaItem.Subtitle

- java.lang.Object
- - com.google.android.exoplayer2.MediaItem.SubtitleConfiguration
  - - com.google.android.exoplayer2.MediaItem.Subtitle

- Enclosing class:
    MediaItem

      @Deprecated
      public static final class MediaItem.Subtitle
      extends MediaItem.SubtitleConfiguration

  Deprecated.
  Use `MediaItem.SubtitleConfiguration` instead

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.android.exoplayer2.MediaItem.SubtitleConfiguration

      `MediaItem.SubtitleConfiguration.Builder`

  - ### Field Summary

    - ### Fields inherited from class com.google.android.exoplayer2.MediaItem.SubtitleConfiguration

      `id, label, language, mimeType, roleFlags, selectionFlags, uri`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Subtitle​(Uri uri, String mimeType, String language)` | Deprecated. Use `MediaItem.SubtitleConfiguration.Builder` instead.
    `Subtitle​(Uri uri, String mimeType, String language, @com.google.android.exoplayer2.C.SelectionFlags int selectionFlags)` | Deprecated. Use `MediaItem.SubtitleConfiguration.Builder` instead.
    `Subtitle​(Uri uri, String mimeType, String language, @com.google.android.exoplayer2.C.SelectionFlags int selectionFlags, @com.google.android.exoplayer2.C.RoleFlags int roleFlags, String label)` | Deprecated. Use `MediaItem.SubtitleConfiguration.Builder` instead.

  - ### Method Summary

    - ### Methods inherited from class com.google.android.exoplayer2.MediaItem.SubtitleConfiguration

      `buildUpon, equals, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Subtitle

          @Deprecated
          public Subtitle​(Uri uri,
                          String mimeType,
                          @Nullable
                          String language)

      Deprecated.
      Use `MediaItem.SubtitleConfiguration.Builder` instead.

    - #### Subtitle

          @Deprecated
          public Subtitle​(Uri uri,
                          String mimeType,
                          @Nullable
                          String language,
                          @SelectionFlags
                          @com.google.android.exoplayer2.C.SelectionFlags int selectionFlags)

      Deprecated.
      Use `MediaItem.SubtitleConfiguration.Builder` instead.

    - #### Subtitle

          @Deprecated
          public Subtitle​(Uri uri,
                          String mimeType,
                          @Nullable
                          String language,
                          @SelectionFlags
                          @com.google.android.exoplayer2.C.SelectionFlags int selectionFlags,
                          @RoleFlags
                          @com.google.android.exoplayer2.C.RoleFlags int roleFlags,
                          @Nullable
                          String label)

      Deprecated.
      Use `MediaItem.SubtitleConfiguration.Builder` instead.